drio
Technical OverviewAPI Reference
You're viewing archived v1 docs.View latest

Discovery

OAuth and protected-resource metadata.

GET
/.well-known/oauth-authorization-server

Response Body

application/json

curl -X GET "https://mcp.getdrio.com/.well-known/oauth-authorization-server"
{
  "issuer": "https://trim-helicopter-81.authkit.app",
  "authorization_endpoint": "https://trim-helicopter-81.authkit.app/oauth2/authorize",
  "jwks_uri": "https://trim-helicopter-81.authkit.app/oauth2/jwks",
  "token_endpoint": "https://trim-helicopter-81.authkit.app/oauth2/token",
  "registration_endpoint": "https://trim-helicopter-81.authkit.app/oauth2/register",
  "client_id_metadata_document_supported": true,
  "response_types_supported": [
    "code"
  ],
  "grant_types_supported": [
    "authorization_code",
    "refresh_token"
  ],
  "code_challenge_methods_supported": [
    "S256"
  ],
  "token_endpoint_auth_methods_supported": [
    "none",
    "client_secret_post",
    "client_secret_basic"
  ],
  "scopes_supported": [
    "email",
    "offline_access",
    "openid",
    "profile"
  ]
}
GET
/.well-known/oauth-protected-resource

Response Body

application/json

curl -X GET "https://mcp.getdrio.com/.well-known/oauth-protected-resource"
{
  "resource": "https://mcp.getdrio.com",
  "authorization_servers": [
    "https://trim-helicopter-81.authkit.app"
  ],
  "scopes_supported": [
    "openid",
    "profile",
    "email"
  ]
}